package com.qmth.qrzk.repository.utils;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

public class Consts {
	/**
	 * 教材状态
	 * @author Horse
	 *
	 */
	public static class BookStatus{
		public static final int DISABLED = 0;
		public static final int USED = 1;
		public static final Map<Integer,String> dicMap = new LinkedHashMap<Integer, String>();
		static{
			dicMap.put(DISABLED, "停用");
			dicMap.put(USED, "启用");
		}
	}
	/**
	 * 课程状态
	 * @author Horse
	 *
	 */
	public static class CourseStatus{
		public static final int DISABLED = 0;
		public static final int USED = 1;
		public static final Map<Integer,String> dicMap = new LinkedHashMap<Integer, String>();
		static{
			dicMap.put(DISABLED, "停考");
			dicMap.put(USED, "开考");
		}
	}
	/**
	 * 课程类型
	 * @author Horse
	 *
	 */
	public static class CourseType{
		public static final int PROVINCE = 0;
		public static final int COUNTRY = 1;
		public static final Map<Integer,String> dicMap = new LinkedHashMap<Integer, String>();
		static{
			dicMap.put(PROVINCE, "省考");
			dicMap.put(COUNTRY, "国考");
		}
	}
	/**
	 * 教材在课程中的状态枚举：0停用，1启用，2未使用
	 * @author Horse
	 *
	 */
	public static class BookInCourseStatus{
		public static final int DISABLED = 0;
		public static final int USED = 1;
		public static final int UNUSED = 2;
		public static final Map<Integer,String> dicMap = new LinkedHashMap<Integer, String>();
		static{
			dicMap.put(DISABLED, "停用");
			dicMap.put(USED, "启用");
			dicMap.put(UNUSED, "未使用");
		}
	}
	
	/**
	 * 试卷来源： 1智能  2手工
	 * @author Horse
	 *
	 */
	public static class PaperResourse{
		/**
		 * 智能
		 */
		public static final int INTELLIGENCE = 1;
		/**
		 * 手工
		 */
		public static final int MANUAL = 2;
		public static final Map<Integer,String> dicMap = new LinkedHashMap<Integer, String>();
		static{
			dicMap.put(INTELLIGENCE, "智能");
			dicMap.put(MANUAL, "手工");
		}
	}
	
	/**
	 * 试卷状态   0草稿  1待审批   2审批通过 3启用
	 * @author Horse
	 *
	 */
	
	/**
	 * 试卷审批类型    0 驳回  1通过
	 * @author Horse
	 *
	 */
	public static class PaperCheckType{
		public static final int REFUSED = 0;
		public static final int APPROVE  = 1;
		public static final Map<Integer,String> dicMap = new LinkedHashMap<Integer, String>();
		static{
			dicMap.put(REFUSED, "驳回");
			dicMap.put(APPROVE, "通过");
		}
	}
	
	/**
	 * 国考
	 */
	public static final String COURSE_TYPE_GUOKAO = "国考";
	
	/**
	 * 省考
	 */
	public static final String COURSE_TYPE_SHENGKAO = "省考";
	
	/**
	 * 系统类型
	 */
	public static final String COURSE_TYPE = COURSE_TYPE_GUOKAO;
	
	public static final String BATCH_TYPE_RUKU = "入库";
	public static final String BATCH_TYPE_QINGYANG = "复审";
	public static final String BATCH_TYPE_QIYONG = "启用";
	public static final String BATCH_TYPE_GONGJUAN = "供卷";
	
	/**
	 * 空值的显示值：空字符串
	 */
	public static final String NULL_STR = "";
	public static final String UNKOWN_STR = "<不可解析的单元格>";
	
	/**
	 * yyyy-MM-dd HH:mm:ss
	 */
	public static final String EXCEL_DATE_FORMAT_STR0 = "yyyy-MM-dd HH:mm:ss";
	
	/**
	 * yyyy/MM/dd
	 */
	public static final String EXCEL_DATE_FORMAT_STR1 = "yyyy/MM/dd";
	
	/**
	 * yyyy-MM-dd
	 */
	public static final String EXCEL_DATE_FORMAT_STR2 = "yyyy-MM-dd";
	
	/**
	 * 打印客户端登录用户的IP和用户Id的对应关系表
	 */
	public static final Map<String,Integer> ClientIpUserMap = new HashMap<String, Integer>();
}
